<?php
/**
 * This is the template that displays a legend
 *
 * This file is not meant to be called directly.
 *
 * b2evolution - {@link http://b2evolution.net/}
 * Released under GNU GPL License - {@link http://b2evolution.net/about/license.html}
 * @copyright (c)2003-2012 by Francois Planque - {@link http://fplanque.com/}
 *
 * @package evoskins
 */
if( !defined('EVO_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

global $disp, $MainList;

$legends = array();

if( $disp == 'catdir' )
{	// If forums list is displayed
	$legends[] = array(
			array(
				'icon'  => 'folder_big.gif',
				'title' => T_('No new posts'),
			),
			array(
				'icon'  => 'folder_locked_big.gif',
				'title' => T_('Forum is locked'),
			),
		);
}

if( $disp != 'single' && isset( $MainList ) && $MainList->result_num_rows > 0 )
{	// If some topics are displayed on the current page
	$legends[] = array(
			array(
				'icon'  => 'folder.gif',
				'title' => T_('No new posts'),
			),
			array(
				'icon'  => 'folder_hot.gif',
				'title' => T_('No new posts').' [ '.T_('Popular').' ]',
			),
			array(
				'icon'  => 'folder_lock.gif',
				'title' => T_('No new posts').' [ '.T_('Locked').' ]',
			),
			array(
				'icon'  => 'folder_sticky.gif',
				'title' => T_('Sticky'),
			),
		);
}
?>

<?php
foreach( $legends as $l => $legend )
{	// Print out all legends
?>
<table class="legend" border="0" cellpadding="0" cellspacing="0">
	<tr>
	<?php
	foreach( $legend as $s => $status )
	{	// Display legend icon with description
	?>
		<th><img src="img/<?php echo $status['icon']; ?>" alt="<?php echo $status['title']; ?>" title="<?php echo $status['title']; ?>" /></th>
		<td><?php echo $status['title']; ?></td>
	<?php } ?>
	</tr>
</table>
<?php } ?>

<?php
/*
 * $Log: _legend.inc.php,v $
 */
?>