<?php
/**
 * This is the PLAIN TEXT template of email message for notify message
 *
 * This file is not meant to be called directly.
 * It is meant to be called by an include in the main.page.php template.
 *
 * b2evolution - {@link http://b2evolution.net/}
 * Released under GNU GPL License - {@link http://b2evolution.net/about/license.html}
 * @copyright (c)2003-2012 by Francois Planque - {@link http://fplanque.com/}
 *
 * @package evoskins
 *
 * {@internal Below is a list of authors who have contributed to design/coding of this file: }}
 * @author fplanque: Francois PLANQUE.
 *
 * @version $Id: notify_message.txt.php 849 2012-02-16 09:09:09Z yura $
 */
if( !defined('EVO_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

global $current_User, $admin_url, $baseurl, $htsrv_url, $app_name;

// Default params:
$params = array_merge( array(
		'recipient_ID'         => 0,
		'new_thread'           => '',
		'thrd_recipients'      => '',
		'Message'              => NULL,
		'message_link'         => '',
		'UserCache'            => NULL,
		'other_unread_threads' => '',
		'prefs_link'           => '',
	), $params );


$Message = $params['Message'];
$UserCache = $params['UserCache'];

$recipient_User = $UserCache->get_by_ID( $params['recipient_ID'] );

echo sprintf( T_( 'Hello %s !'), $recipient_User->get_colored_login( array( 'mask' => '$avatar$ $login$' ) ) ).'<br /><br />';

$body = '';

if( $params['new_thread'] )
{
	$body .= sprintf( T_( '%s just sent you a message with the title "%s".' ), $current_User->get_colored_login( array( 'mask' => '$avatar$ $login$' ) ), $Message->Thread->title );
}
elseif( count( $params['thrd_recipients'] ) == 1 )
{
	$body .= sprintf( T_( '%s just replied to your message in the "%s" conversation. ' ), $current_User->get_colored_login( array( 'mask' => '$avatar$ $login$' ) ), $Message->Thread->title );
}
else
{
	$body .= sprintf( T_( '%s just replied to the "%s" conversation.' ), $current_User->get_colored_login( array( 'mask' => '$avatar$ $login$' ) ), $Message->Thread->title );
}

$body .= '<br /><br />';
$body .= '$content$';
$body .= '<br />';


if( $recipient_User->check_perm( 'pm_notif', 'full' ) )
{
	$msg_text = htmlentities( $Message->get( 'text' ) );
	echo str_replace( '$content$', T_( 'To read the full conversation, click here:' ).'<br />'.get_link_tag( $params['message_link'] ).'<br />'.T_( 'Message content:' ).' '.$msg_text, $body );
}
else
{
	echo str_replace( '$content$', T_( 'To read the full message, click here:' ).'<br />'.get_link_tag( $params['message_link'] ), $body );
}

if( !empty( $other_unread_threads[ $params['recipient_ID'] ] ) )
{
	echo '<br />'.T_( 'In addition to this new message, you also have unread messages in the following conversations' ).':<br />';
	echo $other_unread_threads[ $params['recipient_ID'] ];
}

echo '<br />-- <br />';
echo sprintf( T_( 'This message was automatically generated by %s running on %s.' ), $app_name, get_link_tag( $baseurl ) ).'<br />';
echo T_( 'Please do not reply to this email.' ).'<br />';
echo sprintf( T_('To edit your email notification preferences, click here: %s'), get_link_tag( $params['prefs_link'] ) ).'<br />';
echo T_( 'If you don\'t want to receive any more notifications about new private messages, click here' ).': '
		.$htsrv_url.'quick_unsubscribe.php?type=new_msg&user_ID=$user_ID$&key=$unsubscribe_key$';
echo '<br />';
echo T_( 'Your login is: $login$' );
?>